Subject: bug#9412: sprintf-related integer and memory overflow issues

From: Paul Eggert <[email-masked]>
Date: Wed, 31 Aug 2011 22:44:45 -0700

On 08/31/11 19:42, Chong Yidong wrote:
> With this, the parts of the patch involving using snprintf look good.
> But I would prefer to defer the esnprintf stuff till after 24.1.

OK, I'll remove esnprintf from the patch before installing.

> The changes to font_unparse_xlfd and font_unparse_fcname don't look as
> straightforward as the rest.  That code is somewhat fragile, so I
> suggest double checking those changes (or, better yet, writing a test
> case).

I'll do that too.